Package org.pentaho.reporting.libraries.formula.operators

# Class DefaultOperatorFactory

java.lang.Object
org.pentaho.reporting.libraries.formula.operators.DefaultOperatorFactory

All Implemented Interfaces:
  `OperatorFactory`

public class DefaultOperatorFactory extends Object implements OperatorFactory
Creation-Date: 02.11.2006, 12:29:27

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`DefaultOperatorFactory()`

## Method Summary

Modifier and Type
Method
Description
`InfixOperator`
`createInfixOperator(String operator)`
`PostfixOperator`
`createPostfixOperator(String operator)`
`PrefixOperator`
`createPrefixOperator(String operator)`
`void`
`initalize(Configuration configuration)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultOperatorFactory

public DefaultOperatorFactory()

## Method Details

### initalize

public void initalize(Configuration configuration)

Specified by:
  `initalize` in interface `OperatorFactory`

### createInfixOperator

public InfixOperator createInfixOperator(String operator)

Specified by:
  `createInfixOperator` in interface `OperatorFactory`

### createPostfixOperator

public PostfixOperator createPostfixOperator(String operator)

Specified by:
  `createPostfixOperator` in interface `OperatorFactory`

### createPrefixOperator

public PrefixOperator createPrefixOperator(String operator)

Specified by:
  `createPrefixOperator` in interface `OperatorFactory`